Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.portlet
Class SettingType

    java.lang.Object
      com.plumtree.remote.portlet.SettingType

public class SettingType
extends java.lang.Object

A type-safe enumeration of the different types of settings that can be used by a portlet. Instances of this class can be compared using identity equality.

Field Summary
`static SettingType` | `Admin` `Admin` settings apply to one particular Portlet, but they apply to all users and Communities that access the Portlet.
`static SettingType` | `Community` `Community` settings apply to all Portlets in the current Community, and are shared for all users of that Community.
`static SettingType` | `CommunityPortlet` `CommunityPortlet` settings apply to a particular Portlet, but are shared for all users of the current Community.
`static SettingType` | `Portlet` `Portlet` settings apply only to the current Portlet and the current user.
`static SettingType` | `Session` Session settings apply to one particular user just as User settings do, however they are only persisted for the duration of the user's session.
`static SettingType` | `User` `User` settings apply to one particular user, but apply to all Portlets accessed by the user.
`static SettingType` | `UserInfo` `UserInfo` settings are read-only settings that are generally pulled from third party user repositories.

Method Summary
`java.lang.String` | `toString()` The name of the setting type.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### Portlet

    public static SettingType Portlet

  `Portlet` settings apply only to the current Portlet and the current user. Before version 5.0, these settings were called "Gadget" settings.

### User

    public static SettingType User

  `User` settings apply to one particular user, but apply to all Portlets accessed by the user. The administrator must configure the portal to send User settings to a Portlet.

### CommunityPortlet

    public static SettingType CommunityPortlet

  `CommunityPortlet` settings apply to a particular Portlet, but are shared for all users of the current Community. Generally, CommunityPortlet settings are set by a Community manager.

### Community

    public static SettingType Community

  `Community` settings apply to all Portlets in the current Community, and are shared for all users of that Community. Generally, Community settings are set by a Community manager.

### Admin

    public static SettingType Admin

  `Admin` settings apply to one particular Portlet, but they apply to all users and Communities that access the Portlet.

### UserInfo

    public static SettingType UserInfo

  `UserInfo` settings are read-only settings that are generally pulled from third party user repositories. The keys for the default UserInfo settings, such as FullName and EMail, are available in UserInfo

  See Also:
    `UserInfo`

### Session

    public static SettingType Session

  Session settings apply to one particular user just as User settings do, however they are only persisted for the duration of the user's session.

Method Detail

### toString

    public java.lang.String toString()

  The name of the setting type.

  Returns:
    the name of the setting type

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.